### Method

# Gimp Vectors bezier_stroke_cubicto

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_bezier_stroke_cubicto (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble x0,
      gdouble y0,
      gdouble x1,
      gdouble y1,
      gdouble x2,
      gdouble y2
    )

#### Description [src]

Extends a bezier stroke with a cubic bezier spline.

Extends a bezier stroke with a cubic bezier spline.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`x0`

  Type: `gdouble`

  The x-coordinate of the first control point.

`y0`

  Type: `gdouble`

  The y-coordinate of the first control point.

`x1`

  Type: `gdouble`

  The x-coordinate of the second control point.

`y1`

  Type: `gdouble`

  The y-coordinate of the second control point.

`x2`

  Type: `gdouble`

  The x-coordinate of the end point.

`y2`

  Type: `gdouble`

  The y-coordinate of the end point.

#### Return value

Type: `gboolean`

TRUE on success.